# Interface MouseInputListener

All Superinterfaces:
  `EventListener, MouseListener, MouseMotionListener`

All Known Implementing Classes:
  `BasicDesktopIconUI.MouseInputHandler, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.GlassPaneDispatcher, BasicListUI.MouseInputHandler, BasicMenuItemUI.MouseInputHandler, BasicMenuUI.MouseInputHandler, BasicSliderUI.TrackListener, BasicTableHeaderUI.MouseInputHandler, BasicTableUI.MouseInputHandler, BasicToolBarUI.DockingListener, BasicTreeUI.MouseInputHandler, MetalToolBarUI.MetalDockingListener, MouseInputAdapter`

public interface MouseInputListener extends MouseListener, MouseMotionListener
A listener implementing all the methods in both the `MouseListener` and `MouseMotionListener` interfaces.

See Also:
  - `MouseInputAdapter`

## Method Summary

### Methods declared in interface MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`
Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
Invoked when the mouse button has been clicked (pressed and released) on a component.
`void`
`mouseEntered(MouseEvent e)`
Invoked when the mouse enters a component.
`void`
`mouseExited(MouseEvent e)`
Invoked when the mouse exits a component.
`void`
`mousePressed(MouseEvent e)`
Invoked when a mouse button has been pressed on a component.
`void`
`mouseReleased(MouseEvent e)`
Invoked when a mouse button has been released on a component.

### Methods declared in interface MouseMotionListener

`mouseDragged, mouseMoved`
Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
Invoked when a mouse button is pressed on a component and then dragged.
`void`
`mouseMoved(MouseEvent e)`
Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.